<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item" *ngIf="idSucursal === null">
              <h4 class="page-title">Nueva Sucursal</h4>
            </li>
            <li class="breadcrumb-item" *ngIf="idSucursal !== null">
              <h4 class="page-title">Editar Sucursal</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i> Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Configuración</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a routerLink="/admin/room/Listado-Sucursales">Listado-Sucursales</a>
            </li>
            <li class="breadcrumb-item active" *ngIf="idSucursal === null">Nueva Sucursal</li>
            <li class="breadcrumb-item active" *ngIf="idSucursal !== null">Editar Sucursal</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row clearfix">
      <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
        <div class="card">
          <div class="header">
            <h2><strong>Nueva Sucursal</strong></h2>

          </div>
          <div class="body">
            <form class="m-4" [formGroup]="formulariosucursal" (ngSubmit)="onSubmit()" *ngIf="formulariosucursal">
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Nombre de sucursal</mat-label>
                    <input matInput formControlName="NombreSucursal" required>
                    <mat-error *ngIf="formulariosucursal.get('NombreSucursal').hasError('required')">
                      El Nombre de sucursal es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>RFC</mat-label>
                    <input matInput formControlName="Rfc" required>
                    <mat-error *ngIf="formulariosucursal.get('Rfc').hasError('required')">
                      RFC es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Dirección</mat-label>
                    <input matInput formControlName="Direccion" required>
                    <mat-error *ngIf="formulariosucursal.get('Direccion').hasError('required')">
                      La Dirección es requerida
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Teléfono Principal</mat-label>
                    <input matInput  formControlName="Telefono" maxlength="10" onkeypress='return event.charCode >= 48 && event.charCode <= 57' required>
                    <mat-error *ngIf="formulariosucursal.get('Telefono').hasError('required')">
                      El Teléfono Principal es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>WhatsApp</mat-label>
                    <input matInput  formControlName="Whatsapp" maxlength="10" onkeypress='return event.charCode >= 48 && event.charCode <= 57' required>
                    <mat-error *ngIf="formulariosucursal.get('Whatsapp').hasError('required')">
                      El WhatsApp es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Correo de Contacto</mat-label>
                    <input matInput type="email" formControlName="Correo" required>
                    <mat-error *ngIf="formulariosucursal.get('Correo').hasError('required')">
                      El Correo de Contacto es requerido
                    </mat-error>
                    <mat-error *ngIf="formulariosucursal.get('Correo').hasError('email') && formulariosucursal.get('Correo').touched">
                      Introduzca un Email valido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Nombre corto sucursal</mat-label>
                    <input matInput type="text" formControlName="Nombrecorto" required>
                    <mat-error *ngIf="formulariosucursal.get('Nombrecorto').hasError('required')">
                      El Nombre corto sucursal es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Logo de sucursal</mat-label>
                    <ngx-mat-file-input formControlName="logo" id="foto"
                    (change)="Subirimagen($event,$event.target.files, $event)" multiple
                    accept="image/*" required>
                    </ngx-mat-file-input>
                    <mat-icon matSuffix>face</mat-icon>
                    <mat-error *ngIf="formulariosucursal.get('logo').hasError('required')">
                      El logo de la sucursal es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row" *ngIf="idSucursal === null">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <button class="mr-3" [disabled]="!formulariosucursal.valid " mat-raised-button color="primary" (click)="cargandoImagen()">Agregar</button>
                  <button type="button" mat-button routerLink="/admin/room/Listado-Sucursales">Cancelar</button>
                </div>
              </div>
              <div class="row" *ngIf="idSucursal !== null">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <button class="mr-3" [disabled]="!formulariosucursal.valid " mat-raised-button color="primary" (click)="editarinformacionsucursal()">Editar</button>
                  <button type="button" mat-button routerLink="/admin/room/Listado-Sucursales">Cancelar</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
